%define upstream_name		Tree-Interval
%define upstream_version 0.3

	
Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Perl implementation of an interval tree
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Unit)
BuildArch:  noarch

%description
This is a perl implementation of an interval tree for non-overlapping intervals, based on Tree::RedBlack by Benjamin Holzman <bholzman@earthlink.net>. An interval tree is a binary tree which remains "balanced" i.e. the longest length from root to a node is at most one more than the shortest such length. It is fairly efficient; no operation takes more than O(log(N)) time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/* 


%changelog

* Sat Dec 17 2011 kharec <kharec> 0.300.0-1.mga2
+ Revision: 183188
- add a BR on Error
- Add a BR on Test::Unit
- update to 0.3

* Fri Dec 16 2011 kharec <kharec> 0.3.1-1.mga2
+ Revision: 182510
- Add a BR on Error
- imported package perl-Tree-Interval

